%define MSTHOME  %(if [ ! -z ${MSTHOME} ]; then echo ${MSTHOME}; else echo "/usr/mst"; fi)
%define kunamer %(uname -r)
%define VERSION	XXXXXX
%define NAME YYYYYY
%define kver %(echo $(uname -r) | cut -d '-' -f 1)
%define krelver %(echo $(uname -r) | tr -s '-' '_')
%if %(echo -n %{kunamer}| grep -c smp)
 %{expand:%%define ksmp -smp}
%endif

# Disable debugging
%define debug_package %{nil}
%define __check_files %{nil}

# Disable brp-lib64-linux
%ifarch x86_64 ia64
%define __arch_install_post %{nil}
%endif

Summary: MST tools
Prereq: grep
Requires: glib >= 1.2.10 glibc >= 2.2.4 gcc >= 2.95
Name: %{NAME}
Version: %{VERSION}
Release: %{krelver}
License: GPL
Group: System Environment/Base
Source: %{NAME}-%{VERSION}.tgz
Vendor: Mellanox Technologies Ltd.
AutoReqProv: no

%description
Mellanox Tools

%prep
%setup -n %{NAME}-%{VERSION}

%install
#Install Tools
cd $RPM_BUILD_DIR/%{NAME}-%{VERSION}
echo | $RPM_BUILD_DIR/%{NAME}-%{VERSION}/mst_install

# cd $RPM_BUILD_DIR

%clean
# Remove installed driver after rpm build finished
cd %{MSTHOME}/bin 
for bin in *
do
   [ "$bin" != "*" ] && rm -f /usr/bin/$bin
done
# cd $RPM_BUILD_DIR

rm -rf $RPM_BUILD_DIR/%{NAME}-%{VERSION}

rm -rf %{MSTHOME}
rm -f /usr/bin/mst
rm -f /etc/init.d/mst


%pre

%post
if [ $1 = 1 ]; then #This package is being installed for the first time
        if [ `uname -r` != "%{kunamer}" ]; then
           echo This rpm supports only %{kunamer} kernel...
           rpm -e %{NAME} 
        else
	   cd /usr/bin
       	   ln -s -f /etc/init.d/mst
       	   for tool in %{MSTHOME}/bin/* 
       	   do
       		ln -s -f ${tool}
       	   done
#      	   cd -


if [[ -f /etc/redhat-release || -f /etc/rocks-release ]]; then        
	perl -i -ne 'if (m@^#!/bin/bash@) {
	print q@#!/bin/bash
#
# Bring up/down mst
#
# chkconfig: 235 20 80
# description: Activates/Deactivates all mst interfaces configured to \
#              start at boot time.
# probe: true
### BEGIN INIT INFO
# Provides: $mst
### END INIT INFO
@;
                 } else {
                     print;
                 }' /etc/init.d/mst

#	/sbin/chkconfig --del mst 
#	/sbin/chkconfig --add mst 
fi

if [ -f /etc/SuSE-release ]; then
	perl -i -ne 'if (m@^#!/bin/bash@) {
	print q@#!/bin/bash
### BEGIN INIT INFO
# Provides:       mst
# Required-Start:
# Required-Stop:
# Default-Start:  2 3 5
# Default-Stop:
# Description:    Activates/Deactivates all mst interfaces configured to \
#                 start at boot time.
### END INIT INFO
@;
                 } else {
                     print;
                 }' /etc/init.d/mst
#	/sbin/insserv mst
fi

	fi		 
fi

########
#  FILES
########
%files
%defattr(-,root,root)
%dir %{MSTHOME}
%{MSTHOME}/bin
%{MSTHOME}/etc
%{MSTHOME}/include
%{MSTHOME}/lib
%{MSTHOME}/src
/etc/init.d/mst

%preun
if [ $1 = 0 ]; then  # Erase, not upgrade
#   if [[ -f /etc/redhat-release || -f /etc/rocks-release ]]; then        
#	/sbin/chkconfig --del mst
#   fi
#   if [ -f /etc/SuSE-release ]; then
#	/sbin/insserv -r mst
#   fi
   
   rm -f /usr/bin/mst
   if [ -d %{MSTHOME}/bin ]; then 	
	cd %{MSTHOME}/bin 
	for bin in *
	do
	   [ "$bin" != "*" ] && rm -f /usr/bin/$bin
	done
#	cd -
   fi
fi

%postun
# if [ $1 = 0 ]; then # Erase, not upgrade
# fi

%changelog
* Wed Jun  2 2004 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Updated to start automatically on boot
* Wed Apr 21 2004 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Initial packaging
